Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## dioscuri.module.cpu32
Class FieldInfo

    java.lang.Object
      dioscuri.module.cpu32.FieldInfo

    public class FieldInfo

extends java.lang.Object

Author:
  Bram Lohman, Bart Kiers

Field Summary
`static int` | `ENUM`
`static int` | `FINAL`
`static int` | `PRIVATE`
`static int` | `PROTECTED`
`static int` | `PUBLIC`
`static int` | `STATIC`
`static int` | `SYNTHETIC`
`static int` | `TRANSIENT`
`static int` | `VOLATILE`

Constructor Summary
`FieldInfo(java.io.DataInputStream in, ConstantPoolInfo[] pool)`

Method Summary
`void` | `write(java.io.DataOutputStream out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PUBLIC

    public static final int PUBLIC

See Also:
  Constant Field Values

### PRIVATE

    public static final int PRIVATE

See Also:
  Constant Field Values

### PROTECTED

    public static final int PROTECTED

See Also:
  Constant Field Values

### STATIC

    public static final int STATIC

See Also:
  Constant Field Values

### FINAL

    public static final int FINAL

See Also:
  Constant Field Values

### VOLATILE

    public static final int VOLATILE

See Also:
  Constant Field Values

### TRANSIENT

    public static final int TRANSIENT

See Also:
  Constant Field Values

### SYNTHETIC

    public static final int SYNTHETIC

See Also:
  Constant Field Values

### ENUM

    public static final int ENUM

See Also:
  Constant Field Values

Constructor Detail

### FieldInfo

    public FieldInfo(java.io.DataInputStream in,
                     ConstantPoolInfo[] pool)
              throws java.io.IOException

Parameters:
  `in` -
  `pool` -
Throws:
  `java.io.IOException`

Method Detail

### write

    public void write(java.io.DataOutputStream out)
               throws java.io.IOException

  Parameters:
    `out` -
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD